Skip to main content
GET
/
authorized_users
JavaScript
import Whop from '@whop/sdk';

const client = new Whop({
  apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const authorizedUserListResponse of client.authorizedUsers.list()) {
  console.log(authorizedUserListResponse.id);
}
{
  "data": [
    {
      "id": "ausr_xxxxxxxxxxxxx",
      "role": "owner",
      "user": {
        "id": "user_xxxxxxxxxxxxx",
        "name": "John Doe",
        "username": "johndoe42",
        "email": "john.doe@example.com"
      },
      "company": {
        "id": "biz_xxxxxxxxxxxxxx",
        "title": "Pickaxe"
      }
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "start_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true
  }
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string | null

The unique identifier of the company to list authorized users for.

Example:

"biz_xxxxxxxxxxxxxx"

user_id
string | null

Filter results to a specific user to check if they are an authorized team member.

Example:

"user_xxxxxxxxxxxxx"

role
enum<string> | null

Filter authorized users by their assigned role within the company.

Available options:
owner,
admin,
sales_manager,
moderator,
app_manager,
support,
manager
created_before
string<date-time> | null

Only return authorized users created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time> | null

Only return authorized users created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

Response

A successful response

The connection type for AuthorizedUser.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.